org.apache.commons.math3.exception

## Class NoDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.NoDataException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class NoDataException
      extends MathIllegalArgumentException

  Exception to be thrown when the required data is missing.
  Since:
    2.2
  Version:
    $Id: NoDataException.java 1364378 2012-07-22 17:42:38Z tn $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version Id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoDataException()` Construct the exception.
    `NoDataException(Localizable specific)` Construct the exception with a specific context.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version Id.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NoDataException

          public NoDataException()

      Construct the exception.

    - #### NoDataException

          public NoDataException(Localizable specific)

      Construct the exception with a specific context.
      Parameters:
        `specific` - Contextual information on what caused the exception.

Copyright (c) 2003-2013 Apache Software Foundation